import { PropType } from "vue-demi";
import { activeNamePropType, modePropType, openNamePropType } from "../types";
declare const _default: import("vue-demi").DefineComponent<{
    theme: {
        type: PropType<"light">;
        default: string;
    };
    mode: {
        type: modePropType;
        default: string;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 展开的submenu
     */
    openName: {
        type: openNamePropType;
        default: never[];
    };
    /**激活高亮的menuitem */
    activeName: {
        type: activeNamePropType;
        default: string;
    };
    /**手风琴模式是否开启 */
    accordion: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
    theme: {
        type: PropType<"light">;
        default: string;
    };
    mode: {
        type: modePropType;
        default: string;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    /**
     * 展开的submenu
     */
    openName: {
        type: openNamePropType;
        default: never[];
    };
    /**激活高亮的menuitem */
    activeName: {
        type: activeNamePropType;
        default: string;
    };
    /**手风琴模式是否开启 */
    accordion: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    theme: "light";
    mode: import("../types").mode;
    width: string;
    openName: import("../types").openName;
    activeName: import("../types").activeName;
    accordion: boolean;
}>;
export default _default;
