export { default as DropDownMenu } from "./DropDownMenu";
export { default as Menu } from "./Menu";
export { default as MenuItem } from "./MenuItem";
export { default as SubMenu } from "./SubMenu";
declare const _default: {
    Menu: import("vue-demi").DefineComponent<{
        theme: {
            type: import("vue-demi").PropType<"light">;
            default: string;
        };
        mode: {
            type: import("./types").modePropType;
            default: string;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        openName: {
            type: import("./types").openNamePropType;
            default: never[];
        };
        activeName: {
            type: import("./types").activeNamePropType;
            default: string;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        theme: {
            type: import("vue-demi").PropType<"light">;
            default: string;
        };
        mode: {
            type: import("./types").modePropType;
            default: string;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        openName: {
            type: import("./types").openNamePropType;
            default: never[];
        };
        activeName: {
            type: import("./types").activeNamePropType;
            default: string;
        };
        accordion: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        theme: "light";
        mode: import("./types").mode;
        width: string;
        openName: import("./types").openName;
        activeName: import("./types").activeName;
        accordion: boolean;
    }>;
    MenuItem: import("vue-demi").DefineComponent<{
        name: {
            type: import("./types").activeNamePropType;
            required: true;
        };
        to: {
            type: StringConstructor;
        };
        target: {
            type: import("vue-demi").PropType<string | undefined>;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        name: {
            type: import("./types").activeNamePropType;
            required: true;
        };
        to: {
            type: StringConstructor;
        };
        target: {
            type: import("vue-demi").PropType<string | undefined>;
        };
    }>>, {}>;
    SubMenu: import("vue-demi").DefineComponent<{
        title: {
            default: string;
        };
        name: {
            type: import("./types").openNamesPropType;
            required: true;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, Record<string, any>, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{
        title: {
            default: string;
        };
        name: {
            type: import("./types").openNamesPropType;
            required: true;
        };
    }>>, {
        title: string;
    }>;
    DropDownMenu: import("vue-demi").DefineComponent<{}, () => JSX.Element, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<import("vue-demi").ExtractPropTypes<{}>>, {}>;
};
export default _default;
